package development

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/web"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/operation/src/development/model"
)

type history struct {
	Tables
	repos repos
	order string `data:"12"`
	list  string `name:"list repos_uid commit auto" role:"void"`
}

func (s history) List(m *ice.Message, arg ...string) {
	switch ReposType(kit.Int(m.Option(model.REPOS_TYPE))) {
	case ReposSystem:
		s.SpaceOpsCmdy(m, web.CODE_GIT_REPOS, m.Option(model.REPOS_NAME), "master", arg[1:])
	case ReposLibrary:
		m.Cmdy(web.CODE_GIT_REPOS, m.Option(model.REPOS_NAME), "master", arg[1:])
	}
	if len(arg) == 1 {
		m.Display("")
	} else {
		m.DisplayTable()
	}
}

func init() { ice.TeamCtxCmd(history{}) }
